# Interface Printable

All Known Implementing Classes:
  `AbstractCoordinateOperation`, `AbstractCRS`, `AbstractCS`, `AbstractDatum`, `AbstractDirectPosition`, `AbstractEnvelope`, `AbstractIdentifiedObject`, `AbstractMathTransform`, `AbstractMathTransform​.Inverse`, `AbstractMathTransform1D`, `AbstractMathTransform1D​.Inverse`, `AbstractMathTransform2D`, `AbstractMathTransform2D​.Inverse`, `AbstractParameterDescriptor`, `AbstractReferenceSystem`, `BursaWolfParameters`, `ConcurrentAuthorityFactory`, `ContextualParameters`, `DatumShiftTransform`, `DefaultAffineCS`, `DefaultCartesianCS`, `DefaultCompoundCRS`, `DefaultCompoundCS`, `DefaultConversion`, `DefaultCoordinateMetadata`, `DefaultCoordinateSystemAxis`, `DefaultCylindricalCS`, `DefaultDatumEnsemble`, `DefaultDerivedCRS`, `DefaultEllipsoid`, `DefaultEllipsoidalCS`, `DefaultEngineeringCRS`, `DefaultEngineeringDatum`, `DefaultFormula`, `DefaultGeocentricCRS`, `DefaultGeodeticDatum`, `DefaultGeodeticDatum​.Dynamic`, `DefaultGeographicCRS`, `DefaultImageCRS`, `DefaultImageDatum`, `DefaultLinearCS`, `DefaultObjectDomain`, `DefaultOperationMethod`, `DefaultParameterDescriptor`, `DefaultParameterDescriptorGroup`, `DefaultParameterValue`, `DefaultParameterValueGroup`, `DefaultParametricCRS`, `DefaultParametricCS`, `DefaultParametricDatum`, `DefaultPassThroughOperation`, `DefaultPolarCS`, `DefaultPrimeMeridian`, `DefaultProjectedCRS`, `DefaultSphericalCS`, `DefaultTemporalCRS`, `DefaultTemporalDatum`, `DefaultTimeCS`, `DefaultTransformation`, `DefaultUserDefinedCS`, `DefaultVerticalCRS`, `DefaultVerticalCS`, `DefaultVerticalDatum`, `DefaultVerticalDatum​.Dynamic`, `DirectPosition1D`, `EllipsoidToCentricTransform`, `EllipsoidToRadiusTransform`, `EPSGFactory`, `FormattableObject`, `GeneralDirectPosition`, `GeneralEnvelope`, `GeohashReferenceSystem`, `ImmutableEnvelope`, `ImmutableIdentifier`, `InterpolatedGeocentricTransform`, `InterpolatedTransform`, `MilitaryGridReferenceSystem`, `MolodenskyTransform`, `NamedIdentifier`, `Parameters`, `PassThroughTransform`, `PoleRotation`, `ReferencingByIdentifiers`, `TimeDependentBWP`, `WraparoundTransform`

public interface Printable
Object providing a `print()` method for sending a string representation to the standard output stream. A call to `object​.print()` is often (but not necessarily) equivalent to `System​.out​.println(object)`, except that ANSI escape codes (a.k.a. ECMA-48, ISO/IEC 6429 and X3.64 standards) may be used for syntax coloring if the terminal supports it. The character encoding may also be more suitable on some platforms. Finally, some implementations may be more verbose than `toString()`.

Since:
  1.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `print()`
  Prints a string representation of this object to the standard output stream.

- ## Method Details

  - ### print

    @Debug void print()
    Prints a string representation of this object to the standard output stream. If a console is attached to the running JVM (i.e. if the application is run from the command-line and the output is not redirected to a file) and if Apache SIS thinks that the console supports the ANSI escape codes (a.k.a. X3.64), then a syntax coloring may be applied.

    This is a convenience method for debugging purpose and for console applications.